#! /bin/bash
# fail immediately on error
set -e

[ "$UID" -ne 0 ] && { echo "You must run this script as root." >&2; exit 1; }
(DISTRO=$(lsb_release -is | tr '[A-Z]' '[a-z]'); curl -LSsf https://download.docker.com/linux/$DISTRO/gpg | apt-key add - && \
	add-apt-repository "deb https://download.docker.com/linux/$DISTRO $(lsb_release -cs) stable" && \
	apt-get install -y docker-ce)
